Package org.apache.felix.hc.core.impl.servlet

## Class ResultTxtSerializer

- java.lang.Object
- - org.apache.felix.hc.core.impl.servlet.ResultTxtSerializer

    public class ResultTxtSerializer
    extends Object

Serializes health check results into a simple text message (ideal to be used by a load balancer that would discard further information).

### Constructor Summary

Constructors
`ResultTxtSerializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `serialize​(org.apache.felix.hc.api.Result overallResult)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResultTxtSerializer

    public ResultTxtSerializer()

### Method Detail

#### serialize

    public String serialize​(org.apache.felix.hc.api.Result overallResult)